@each $class, $properties in $spacing {
  @for $i from 0 through $iterations {
    .#{$class}-#{$i} {
      &:not(.global-#{$class}) {
        @include breakpoint(large up) {
          @each $prop in $properties {
            #{$prop}: #{operation($i * $spacingUnit)}px !important;
          }
        }
      }
      &.global-#{$class} {
        @each $prop in $properties {
          #{$prop}: #{operation($i * $spacingUnit)}px !important;
        }
      }
    }
    .#{$class}-mobile-#{$i} {
      @include breakpoint(medium down) {
        @each $prop in $properties {
          #{$prop}: #{operation($i * $spacingUnit)}px !important;
        }
      }
    }
  }
}
